package com.tuoheng.admin.conver;

import com.tuoheng.admin.entity.Inspection;
import com.tuoheng.admin.request.inspection.AddInspectionRequest;
import com.tuoheng.admin.request.inspection.EditInspectionRequest;
import com.tuoheng.admin.vo.inspection.InspectionDetailsVo;
import com.tuoheng.admin.vo.inspection.InspectionVo;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;

import java.util.List;

@Mapper
public interface InspectionConverMapper {

    InspectionConverMapper INSTANCE = Mappers.getMapper(InspectionConverMapper.class);

    Inspection fromAddInspectionRequestToInspection(AddInspectionRequest request);

    Inspection fromEditInspectionRequestToInspection(EditInspectionRequest request);

    List<InspectionVo> fromInspectionListToInspectionVoList(List<Inspection> inspectionList);

    InspectionDetailsVo fromInspectionToInspectionDetailsVo(Inspection inspection);

}
